Skip to content
Start here

Bulk remove label(s) on operation(s) in endpoint management

client.APIGateway.Operations.Labels.BulkDelete(ctx, body) (*SinglePage[OperationLabelBulkDeleteResponse], error)
DELETE/zones/{zone_id}/api_gateway/operations/labels

Bulk remove label(s) on operation(s) in endpoint management

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
body OperationLabelBulkDeleteParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type OperationLabelBulkDeleteResponse struct{…}
Endpoint string

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.

formaturi-template
maxLength4096
Host string

RFC3986-compliant host.

formathostname
maxLength255
LastUpdated Time
formatdate-time
Method OperationLabelBulkDeleteResponseMethod

The HTTP method used to access the endpoint.

One of the following:
const OperationLabelBulkDeleteResponseMethodGet OperationLabelBulkDeleteResponseMethod = "GET"
const OperationLabelBulkDeleteResponseMethodPost OperationLabelBulkDeleteResponseMethod = "POST"
const OperationLabelBulkDeleteResponseMethodHead OperationLabelBulkDeleteResponseMethod = "HEAD"
const OperationLabelBulkDeleteResponseMethodOptions OperationLabelBulkDeleteResponseMethod = "OPTIONS"
const OperationLabelBulkDeleteResponseMethodPut OperationLabelBulkDeleteResponseMethod = "PUT"
const OperationLabelBulkDeleteResponseMethodDelete OperationLabelBulkDeleteResponseMethod = "DELETE"
const OperationLabelBulkDeleteResponseMethodConnect OperationLabelBulkDeleteResponseMethod = "CONNECT"
const OperationLabelBulkDeleteResponseMethodPatch OperationLabelBulkDeleteResponseMethod = "PATCH"
const OperationLabelBulkDeleteResponseMethodTrace OperationLabelBulkDeleteResponseMethod = "TRACE"
OperationID string

UUID.

maxLength36
minLength36
Labels []OperationLabelBulkDeleteResponseLabelOptional
CreatedAt Time
formatdate-time
Description string

The description of the label

LastUpdated Time
formatdate-time
Metadata unknown

Metadata for the label

Name string

The name of the label

Source OperationLabelBulkDeleteResponseLabelsSource
  • user - label is owned by the user
  • managed - label is owned by cloudflare
One of the following:
const OperationLabelBulkDeleteResponseLabelsSourceUser OperationLabelBulkDeleteResponseLabelsSource = "user"
const OperationLabelBulkDeleteResponseLabelsSourceManaged OperationLabelBulkDeleteResponseLabelsSource = "managed"

Bulk remove label(s) on operation(s) in endpoint management

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/api_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.APIGateway.Operations.Labels.BulkDelete(context.TODO(), api_gateway.OperationLabelBulkDeleteParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "endpoint": "/api/v1/users/{var1}",
      "host": "www.example.com",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "method": "GET",
      "operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "labels": [
        {
          "created_at": "2014-01-01T05:20:00.12345Z",
          "description": "All endpoints that deal with logins",
          "last_updated": "2014-01-01T05:20:00.12345Z",
          "metadata": {
            "foo": "bar"
          },
          "name": "login",
          "source": "user"
        }
      ]
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "endpoint": "/api/v1/users/{var1}",
      "host": "www.example.com",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "method": "GET",
      "operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "labels": [
        {
          "created_at": "2014-01-01T05:20:00.12345Z",
          "description": "All endpoints that deal with logins",
          "last_updated": "2014-01-01T05:20:00.12345Z",
          "metadata": {
            "foo": "bar"
          },
          "name": "login",
          "source": "user"
        }
      ]
    }
  ],
  "success": true
}